Subject: Re: [bug#48593] [PATCH]: gnu: cl-portable-threads: Enable tests

From: Guillaume Le Vaillant <[email-masked]>
Date: Sun, 23 May 2021 11:46:12 +0000

Sharlatan Hellseher <[email-masked]> skribis:

> I've enabled test and build the package and it looks ok for me, I am
> not sure of the reason why it was disabled

I get an error when building ecl-portable-threads:

--8<---------------cut here---------------start------------->8---
;; Starting portable threads tests...
;; Performing basic lock tests...
;;   Timing 1,000,000 nonrecursive-lock acquisitions... 0.26 seconds
;;   Timing 1,000,000 recursive-lock acquisitions... 0.24 seconds
;;   Timing 1,000,000 condition-variable lock acquisitions... 0.28 seconds
;;   Timing 1,000,000 nested nonrecursive-lock acquisitions... 0.49 seconds
;;   Timing 1,000,000 nested recursive-lock acquisitions... 0.48 seconds
;;   Checking with a non-lock object...
;;   Testing recursive locking with a recursive lock...
;;   Checking recursive locking with a non-recursive lock...
;;   Testing WITH-LOCK-HELD returned values...
;;   Testing WITH/WITHOUT-LOCK-HELD forms and throws...
;; Completed basic lock tests (1.75 seconds real time).
;; Testing atomic-incf/decf...
;; Completed atomic-incf/decf test
;; Testing atomic-incf&/decf&...
;; Completed atomic-incf&/decf& test
;; Performing WITH-TIMEOUT tests...An error occurred during initialization:
Cannot interrupt the inactive process #<process WITH-TIMEOUT timer 0x7fffefce9880>.
--8<---------------cut here---------------end--------------->8---

Does it work on your machine?